package com.sifang.modules.customer.form;

public class QueryRentListRes {

    private String partnersContractNumber;//越秀农户合同编号
    private String cfId;//现金流唯一标识
    private String times;//现金流期数
    private String cfItem;//现金流项目
    private String cfDirection;//现金流方向   INFLOW-流入 OUTFLOW-流出
    private String dueAmount;//应收/应付金额
    private String dueDate;//应收/应付日期
    /**
     * 已收/已付日期
     * 格式为：yyyyMMdd
     */
    private String receivedDate;
    /**
     * 已收/付金额
     * 未收传0
     * 每次查询，仅返回当前承租人收益已付总额
     * 对于多次支付情况，不返回每次支付明细
     */
    private String receivedAmount;
    /**
     * 核销状态
     * NOT-未核销
     * FULL-完全核销
     * PARTIAL-部分核销
     */
    private String writeOffFlag;


    public String getPartnersContractNumber() {
        return partnersContractNumber;
    }

    public void setPartnersContractNumber(String partnersContractNumber) {
        this.partnersContractNumber = partnersContractNumber;
    }

    public String getCfId() {
        return cfId;
    }

    public void setCfId(String cfId) {
        this.cfId = cfId;
    }

    public String getTimes() {
        return times;
    }

    public void setTimes(String times) {
        this.times = times;
    }

    public String getCfItem() {
        return cfItem;
    }

    public void setCfItem(String cfItem) {
        this.cfItem = cfItem;
    }

    public String getCfDirection() {
        return cfDirection;
    }

    public void setCfDirection(String cfDirection) {
        this.cfDirection = cfDirection;
    }

    public String getDueAmount() {
        return dueAmount;
    }

    public void setDueAmount(String dueAmount) {
        this.dueAmount = dueAmount;
    }

    public String getDueDate() {
        return dueDate;
    }

    public void setDueDate(String dueDate) {
        this.dueDate = dueDate;
    }

    public String getReceivedDate() {
        return receivedDate;
    }

    public void setReceivedDate(String receivedDate) {
        this.receivedDate = receivedDate;
    }

    public String getReceivedAmount() {
        return receivedAmount;
    }

    public void setReceivedAmount(String receivedAmount) {
        this.receivedAmount = receivedAmount;
    }

    public String getWriteOffFlag() {
        return writeOffFlag;
    }

    public void setWriteOffFlag(String writeOffFlag) {
        this.writeOffFlag = writeOffFlag;
    }
}
